<?php
/**
 * ASISMA CRM - Modelo Producto
 */
class Producto extends Model {
    protected $table = 'productos';

    /**
     * Obtiene los productos asociados a una marca
     */
    public function getByMarca($marcaId) {
        return $this->getAll("marca_id = :marca_id AND activo = 1", ['marca_id' => $marcaId], "nombre ASC");
    }

    /**
     * Obtiene los productos asociados a una vertical
     */
    public function getByVertical($verticalId) {
        return $this->getAll("vertical_id = :vertical_id AND activo = 1", ['vertical_id' => $verticalId], "nombre ASC");
    }

    public function getActivos() {
        return $this->getAll("activo = 1", [], "nombre ASC");
    }
}
